/*
UC: 21178 - Laboratorio de Programacao
Ano 2018/19    AF 2

Sistema de gestao de inscrioes na LEI - Universidade Aberta

Grupo 7: Los Mariachis

- Nelson Domingos n. 1002960
- Sonia Violante  n. 1100135
- Claudia Pires   n. 1303334
- Paulo Silva     n. 1303918

Ficheiro: alunos.h

MODULO 4 - ALUNOS
*/

#ifndef ALUNOSS_H_INCLUDED
#define ALUNOSS_H_INCLUDED

#include <stdio.h>
#include <stdlib.h>
#include <ctype.h>
#include <string.h>
#include <locale.h>
#include <time.h>

typedef struct r_data DATA;
struct r_data
{
   int dia;
   int mes;
   int ano;
};

typedef struct t_alunos ALUNOS;
struct t_alunos
{
      int numero;
      char nome[30];
      char morada[50];
      char localidade[15];
      char codpostal[10];;
      char pais[10];
      DATA nascimento;
      char nacionalidade[10];
      char email[30];
      char contato[10];
      char residente;
      int eliminado;
};



void ins_aluno();   // Funcao para inserir um novo aluno
int cons_aluno(char* p_nome, int p_numero, int p_eliminado, int p_silencio); // Funcao para consultar um aluno
void mod_aluno();   // Funcao para modificar um aluno
void eli_aluno();   //Funcao para eliminar um aluno
void mostrar_propinas(ALUNOS* p_aluno); // Mostrar valor propinas
void lis_propinas(); // Funcao para listar o valor de propinas de cada aluno

#endif // ALUNOSS_H_INCLUDED
// fim ficheiro "alunos.h"

