/*
UC: 21178 - Laboratorio de Programacao
Ano 2018/19    AF 2

Sistema de gestao de inscricoes na LEI - Universidade Aberta

Grupo 7: Los Mariachis

- Nelson Domingos n. 1002960
- Sonia Violante  n. 1100135
- Claudia Pires   n. 1303334
- Paulo Silva     n. 1303918

Ficheiro: valida.h

MODULO 8 - VALIDA
*/

#ifndef VALIDA_H_INCLUDED
#define VALIDA_H_INCLUDED

#include <stdio.h>
#include <stdlib.h>
#include <ctype.h>
#include <string.h>


int valor_ects_uc(int p_uc); // Numero de ECTS de uma UC
int valida_int_referencial(int p_tipo, int p_numero); // Valida integridade referencial
int valida_inscricao(int p_n_aluno, int p_n_uc, int p_ano);   // Valida se aquele aluno já está ou esteve inscrito
int valida_ects(int p_n_aluno, int p_n_uc,int p_ano); // Valida a quantidade de ects
                                                      // naquela UC, no ano lectivo em questao
#endif // VALIDA_H_INCLUDED

// fim ficheiro "valida.h"

