/*
UC: 21178 - Laboratorio de Programacao
Ano 2018/19    AF 2

Sistema de gestao de inscricoes na LEI - Universidade Aberta

Grupo 7: Los Mariachis

- Nelson Domingos n. 1002960
- Sonia Violante  n. 1100135
- Claudia Pires   n. 1303334
- Paulo Silva     n. 1303918

Ficheiro: inscricoes.h

MODULO 5 - INSCRICOES
*/

#ifndef INSCRICOES_H_INCLUDED
#define INSCRICOES_H_INCLUDED

#include <stdio.h>
#include <stdlib.h>
#include <ctype.h>
#include <string.h>


typedef struct t_inscricao INSCRICOES;
struct t_inscricao
{
   int n_aluno;
   int n_uc;
   int ano;
   int eliminado;
};

void ins_inscricao();   // Funcao para inserir uma inscricao
void mostrar_inscricao(INSCRICOES* p_inscricao); // Mostrar dados de inscricoes
void cons_inscricao();  // Funcao para consultar uma inscricao
void mod_inscricao();   // Funcao para consultar uma inscricao
void eli_inscricao();   // Funcao para consultar uma inscricao
void lis_ucs_aluno();   // Funcao para listar as UCs de um aluno
void lis_alunos_uc();   // Funcao para listar os alunos inscritos numa UCs
void mostrar_lista_ucs(INSCRICOES* p_inscricao);
void mostrar_lista_alunos(INSCRICOES* p_inscricao);

#endif // INSCRICOES_H_INCLUDED

// fim ficheiro "inscricao.h"

