/*
UC: 21178 - Laboratorio de Programacao
Ano 2018/19    AF 2

Sistema de gestao de inscricoes na LEI - Universidade Aberta

Grupo 7: Los Mariachis

- Nelson Domingos n. 1002960
- Sonia Violante  n. 1100135
- Claudia Pires   n. 1303334
- Paulo Silva     n. 1303918

Ficheiro: ucs.h

MODULO 6 - UCS
*/

#ifndef UCS_H_INCLUDED
#define UCS_H_INCLUDED

#include <stdio.h>
#include <stdlib.h>
#include <ctype.h>
#include <string.h>
#include <locale.h>
#include <time.h>

typedef struct r_uc UCS;
struct r_uc
{
   int numero;
   char nome[30];
   int ano;
   int semestre;
   int ects;
   char docente[30];
   char tutor[30];
   int eliminado;
};

void ins_uc();   // Funcao para inserir uma nova UC
int cons_uc(char* p_nome, int p_modificar, int p_numero,int p_eliminados, int p_silencio);  // Funcao para consultar uma UC
void mod_uc();   // Funcao para modificar uma UC
void eli_uc();   // Funcao para eliminar uma UC

#endif // UCS_H_INCLUDED

// fim ficheiro "ucs.h"

